Subject: [Ltru] Re:[psg.com #1107] IETF/LC Transition rules (gen-art 1)

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 5 Sep 2005 20:14:20 -0700

Hi -

As a technical contributor...

> From: "Addison Phillips" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Cc: "Elwyn Davies" <[email-masked]>
> Sent: Wednesday, August 31, 2005 1:53 PM
> Subject: [Ltru] Transition rules (gen-art #1)
...
> Proposed resolution:

looks good to me, with minor comments inline below...

> To clear the interregnum problem, I propose inserting the following
> text in Section 3.7 (insertion marked with >>> and <<<):
>
> --
> Registrations that are in process under the rules defined in
> <xref target="RFC3066"></xref> when this document is adopted
>   MAY be completed under the former rules, at the discretion
> of the Language Tag Reviewer >>> (as described in <xref
> target="RFC3066"></xref>). Until the IESG officially appoints
> a Language Subtag Reviewer, the existing Language Tag Reviewer
> will serve as the Language Subtag Reviewer. <<<

will -> SHALL

> --
>
> To address the timing problem I propose inserting the following text in Section 3.7 as shown:
>
> --
> Upon adoption of this document an initial version of the
> Language Subtag Registry containing the various subtags initially
> valid in a language tag is necessary. This collection of subtags,
> along with a description of the process used to create it, is
> described by <xref target="initial-registry"></xref>. >>> IANA
> will publish the new registry as described in that document, at

will -> SHALL
replace "as described in" with "content provided by" to remove ambiguity
(The IANA considerations section already says this, so I'm not sure this
is really needed.)

> which point the maintenance rules and registration processes
> described in this document will be available for new registrations
> or updates. <<<
> --
...

Randy

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 06 Sep 2005 05:56:34 +0200

Randy Presuhn wrote:

>> the existing Language Tag Reviewer will serve as the
>> Language Subtag Reviewer.

> will -> SHALL

Maybe he's not interested, we can only ask him, not force
him.  How about "the existing LTR serves as the LSR" ?

>> IANA will publish the new registry as described in that
>> document, at

> will -> SHALL

Okay, here it's clearly their duty, but I prefer "publishes"
if "will publish" isn't good enough.  That could be also a
bad case of DEnglish on my side - thou shalt not abuse 2119-
keywords to impose a particular method.

                                Bye, Frank

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 5 Sep 2005 23:30:58 -0700

Hi -

as a technical contributor...

> From: "Frank Ellermann" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, September 05, 2005 8:56 PM
> Subject: [Ltru] Re: [psg.com #1107] IETF/LC Transition rules (gen-art 1)
>
> Randy Presuhn wrote:
>

Ok with me, or just leave it as originally proposed.
We're really just retitling the job.  I'm happy
to leave this to the editors.

...

:-)    Unfortunately, "publishes" won't work.  (and yes, this is
indeed one of those places where English and German diverge.)

I can live with "will", since it is grammatically correct and the
most native speakers would ascribe the correct sense to
the word in this context.  The only advantage of "SHALL" is
that it eliminates the posibility of (contrived) mis-reading "will".
I'm happy to leave this to the editors as well.

Randy